| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Actions.SimpleDate

Portability | portable
Stability | stable
Maintainer | dons@cse.unsw.edu.au

Contents

Usage

Description
An example external contrib module for XMonad. Provides a simple binding to dzen2 to print the date as a popup menu.
Synopsis

date :: X ()

Usage

To use, import this module into `~/.xmonad/xmonad.hs`:

         import XMonad.Actions.SimpleDate

and add a keybinding, for example:

        , ((modMask x,               xK_d     ), date)

In this example, a popup date menu will now be bound to `mod-d`.

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

date :: X () | Source

Produced by Haddock version 2.4.2